put
https://{domainname}/ca_apis/updateAgent
Updates the details of an existing agent, such as name, skills, groups, and other attributes.
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Note:Make sure the admin setting 'API Authentication' is set to 'BASIC_AUTH', If you are using this API.
Rate Limit:This API permits up to 5 requests per minute.
APIs Domain NameFor domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com
For international ccaas - enter the domain: api.ccaas.ozonetel.com
For Partners - enter the respective URL
Possible Responses
| Missing apiKey key / Missing apiKey Value | "{""status"": ""false"",""message"": ""Api Key Should Not be Null or Empty."", ""data"": null}" |
| Passing Invalid apiKey Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid userName Value / Missing userName key / Missing userName Value | {"status": "false","message": "Invalid User Details","data": null} |
| Passing Invalid agentId Value / Missing agentId key / Missing agentId Value / | "{ ""status"": ""error"", ""message"": ""Agent not found"" }" |
| Passing Invalid agentName Value | "{""Status"": ""Fail"",""Message"": { ""agentName"": ""The agent name must not be empty and it should be between 2 and 50 alphanumeric characters and allow special characters such as., @, _, -""}}" |
| Missing agentName Value | "{""status"": ""error"", ""message"": ""Agent Name is required""}" |
| Passing Invalid password Value | {"message": "Password length must be between 3 and 50 characters","status": "error"} |
| Missing password Value | "{""message"": ""Password is required"", ""status"": ""error""}" |
| Passing Invalid email Value | "{""message"": ""Invalid email format"", ""status"": ""error""}" |
| Missing email key | {"message": "Email should not be null or empty","status": "error"} |
| Missing email Value | {"message": "Email should not be null or empty","status": "error"} |
| Verify rate limit of updation API. | "{""status"": ""error"", ""message"": ""Max limit exceeded""}" |
